aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorAulus Egnatius Varialus <varialus@gmail.com>2013-09-04 15:19:21 -0700
committerIan Lance Taylor <iant@golang.org>2013-09-04 15:19:21 -0700
commit2b44b36487a341fc2a8a23f8b35113bd4958af92 (patch)
tree674981948b4ee7c489399269051c9bea07d208f9 /src/run.bash
parentdd3e522094cff3ccce7f6f5cd76b31598f5a3734 (diff)
downloadgo-2b44b36487a341fc2a8a23f8b35113bd4958af92.tar.gz
go-2b44b36487a341fc2a8a23f8b35113bd4958af92.zip
cgo: enable cgo on dragonfly
Enable cgo for dragonfly/386 and dragonfly/amd64. R=golang-dev, jsing, iant, bradfitz CC=golang-dev https://golang.org/cl/13247046
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash5
1 files changed, 3 insertions, 2 deletions
diff --git a/src/run.bash b/src/run.bash
index 9af3f95b07..6adb7f63de 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -104,7 +104,8 @@ go run $GOROOT/test/run.go - . || exit 1
[ "$CGO_ENABLED" != 1 ] ||
(xcd ../misc/cgo/test
go test -ldflags '-linkmode=auto' || exit 1
-go test -ldflags '-linkmode=internal' || exit 1
+# linkmode=internal fails on dragonfly since errno is a TLS relocation.
+[ "$GOHOSTOS" == dragonfly ] || go test -ldflags '-linkmode=internal' || exit 1
case "$GOHOSTOS-$GOARCH" in
openbsd-386 | openbsd-amd64)
# test linkmode=external, but __thread not supported, so skip testtls.
@@ -118,7 +119,7 @@ darwin-386 | darwin-amd64)
*) go test -ldflags '-linkmode=external' || exit 1;;
esac
;;
-freebsd-386 | freebsd-amd64 | linux-386 | linux-amd64 | linux-arm | netbsd-386 | netbsd-amd64)
+dragonfly-386 | dragonfly-amd64 | freebsd-386 | freebsd-amd64 | linux-386 | linux-amd64 | linux-arm | netbsd-386 | netbsd-amd64)
go test -ldflags '-linkmode=external' || exit 1
go test -ldflags '-linkmode=auto' ../testtls || exit 1
go test -ldflags '-linkmode=external' ../testtls || exit 1